> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bliper.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Enviar Reação

> Reage a uma mensagem com um emoji

## Descrição

Adiciona uma reação (emoji) a uma mensagem existente. O ID da mensagem a ser reagida deve ser fornecido no campo `messageId`.

## Request

### Headers

```
Client-Token: SEU_CLIENT_TOKEN
Content-Type: application/json
```

### Body

```json theme={null}
{
  "phone": "5511999999999",
  "reaction": "😍",
  "messageId": "3EB06DD33E37863E4EA421"
}
```

| Campo       | Tipo   | Obrigatório | Descrição                                               |
| ----------- | ------ | ----------- | ------------------------------------------------------- |
| `phone`     | string | Sim         | Número do contato da conversa no formato DDI+DDD+número |
| `reaction`  | string | Sim         | Emoji da reação a ser enviada                           |
| `messageId` | string | Sim         | ID da mensagem a ser reagida                            |

## Response

### Sucesso (202)

```json theme={null}
{
  "messageId": "3EB0C767D02DCC481523",
  "id": "3EB0C767D02DCC481523"
}
```

## Exemplo cURL

```bash theme={null}
curl -X POST 'https://api.bliper.io/instances/{INSTANCE_ID}/token/{INSTANCE_TOKEN}/send-reaction' \
  -H 'Client-Token: SEU_CLIENT_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
    "phone": "5511999999999",
    "reaction": "😍",
    "messageId": "3EB06DD33E37863E4EA421"
  }'
```

<Note>Para remover uma reação de uma mensagem, use o endpoint `/send-remove-reaction`.</Note>
